import 'd3-selection-multi';
import { Mark } from './Mark';
import { GraphModel } from './GraphModel';
export declare class Graph extends Mark {
    render(): Promise<void>;
    set_ranges(): void;
    set_positional_scales(): void;
    relayout(): void;
    update_position(): void;
    initialize_additional_scales(): void;
    create_listeners(): void;
    data_updated(): void;
    get_node_color(data: any, index: any): any;
    draw(): void;
    dragstarted(d: any): void;
    dragged(d: any): void;
    dragended(d: any): void;
    color_scale_updated(): void;
    link_color_scale_updated(): void;
    process_click(interaction: any): void;
    reset_hover_points(): void;
    hover_handler(args: any): void;
    reset_selection(): void;
    click_handler(args: any): void;
    hovered_style_updated(model: any, style: any): void;
    unhovered_style_updated(model: any, style: any): void;
    update_selected(model: any, value: any): void;
    update_hovered(model: any, value: any): void;
    apply_styles(style_arr?: any): void;
    clear_style(style_dict: any, indices: any): void;
    set_style_on_elements(style: any, indices: any): void;
    compute_view_padding(): void;
    selected_deleter(): void;
    update_link_distance(): void;
    update_charge(): void;
    link_arc(d: any): string;
    link_line(d: any): string;
    link_slant_line(d: any): string;
    tick(): void;
    set_default_style(indices: any): void;
    hovered_style: any;
    unhovered_style: any;
    hovered_index: any;
    arrow: any;
    x_scale: any;
    y_scale: any;
    force_layout: any;
    links: any;
    nodes: any;
    model: GraphModel;
}
